# Bitcoin Quantum (BTQ)

Bitcoin Quantum (BTQ) is a state-of-the-art cryptocurrency that combines Bitcoin's proven economic framework with advanced quantum-resistant security measures. Below are the key features of BTQ:

## Technology
- **Quantum-Resistant Security**: BTQ uses quantum-resistant cryptography to ensure safety against future quantum computer attacks.
- **Dual Mining Algorithms**: BTQ employs two mining algorithms: RandomX (CPU-friendly) and Cryptonight cn/0 (GPU-friendly), reducing hardware centralization risks.

## Economics
- **Total Supply**: BTQ has a total supply of 21 million units, similar to Bitcoin.
- **Block Reward Reduction**: BTQ's block reward reduces by 5% every 525,600 blocks, fostering long-term sustainability and market stability.

## Key Features
- **Public Addresses**: BTQ public addresses typically start with the letter "Q" to signify "Quantum."
- **Wallet Features**: BTQ offers a web wallet allowing users to create new addresses, execute transactions, and access on-chain tools easily.
- **Transactions**: The process of sending and receiving BTQ through the BTQ web wallet is simple and intuitive.

## Network
BTQ utilizes a distributed network of nodes to ensure robust and efficient operations. These nodes are located at various global locations, including Dubai, Hong Kong, Shanghai, Singapore, Jakarta, and Silicon Valley.

## Mining
BTQ supports both solo and pool mining:
- **Solo Mining**: Users can install and sync BTQ software, configure mining settings, and start mining independently.
- **Pool Mining**: Users can combine computing resources with other members to enhance processing power and share rewards proportionally.

## Future
BTQ is committed to transparency and security, with all addresses minted from block 0 being publicized. BTQ coins mined by developers will be used for airdrops, marketing, listings, and partnerships.

BTQ not only provides security and stability but also looks to the future with quantum security measures, making it a reliable choice for cryptocurrency investors and users.

## Node Configuration
To configure a BTQ node, follow these steps:

1. **Node Installation (RedHat)**:
   - Update packages.
   - Enable Codeready Linux Builder repo.
   - Install required packages.
   - Install the latest CMAKE from sources.
   - Upgrade pip and install necessary Python packages.
   - Install BTQ.

2. **Running BTQ**:
   - Use `start_btq` to begin the syncing process.
   - Access help for `start_btq` using `start_btq -h`.

3. **Systemd Service for BTQ Node**:
   - Create and edit `btq.service` file.
   - Enable and start the service.
   - Check the service status.

4. **Crontab Script**:
   - Create and edit `start-node.sh` script.
   - Make the script executable.
   - Edit crontab to run the script at reboot.

## Example Wallet Address
Use the BTQ address `Q010500f07a209bfa657e526118a9c5e40ecb5f69d3a8da991ddc1fe0269c7ec617f693f362a051` for examples.

## Node IP Addresses
The current IP addresses of BTQ nodes are:
- **Node 1 (Dubai - UAE)**: 47.91.120.22
- **Node 2 (Hong Kong)**: 47.242.207.111
- **Node 3 (Shanghai)**: 139.224.117.106
- **Node 4 (Singapore)**: 8.219.202.7
- **Node 5 (Jakarta - Indonesia)**: 147.139.129.44
- **Node 6 (Silicon Valley)**: 47.251.67.156

BTQ node configuration should include a peer list for networking, comprising the IP addresses above, along with additional nodes as necessary.

For more details, visit the [BTQ Docs](https://docs.bitcoinq.xyz).

---

Bitcoin Quantum (BTQ) aims to be a future-proof, secure, and transparent cryptocurrency, providing a reliable choice for the crypto community.


# More information

 * [bitcoinq.xyz](https://bitcoinq.xyz)
 * [docs.bitcoinq.xyz](https://docs.bitcoinq.xyz)
 * [wallet.bitcoinq.xyz](https://wallet.bitcoinq.xyz)
 * [explorer.bitcoinq.xyz](https://explorer.bitcoinq.xyz)

* * *
